View a markdown version of this page

GetUpdate - AWS RTB Fabric

GetUpdate

Returns the status of an update. RTB Fabric keeps a completed update for 90 days after it finishes.

Request Syntax

GET /gateway/gatewayId/updates/updateId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

gatewayId

The unique identifier of the gateway.

Length Constraints: Minimum length of 8. Maximum length of 32.

Pattern: rtb-gw-[a-z0-9-]{1,25}

Required: Yes

updateId

The unique identifier of the update.

Length Constraints: Minimum length of 8. Maximum length of 64.

Pattern: update-[a-z0-9]{1,57}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "update": { "createdAt": number, "errorDetails": [ { "code": "string", "message": "string", "resourceIds": [ "string" ] } ], "parameters": { ... }, "status": "string", "target": { ... }, "type": "string", "updateId": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

update

The update.

Type: Update object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request could not be completed because you do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

The request could not be completed because of an internal server error. Try your call again.

HTTP Status Code: 500

ResourceNotFoundException

The request could not be completed because the resource does not exist.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The request could not be completed because it fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: